summaryrefslogtreecommitdiffstats
path: root/gluster-s3object/CentOS/docker-gluster-s3/update_gluster_vol.sh
diff options
context:
space:
mode:
authorHumble Devassy Chirammal <humble.devassy@gmail.com>2017-07-31 09:01:36 +0000
committerGitHub <noreply@github.com>2017-07-31 09:01:36 +0000
commit4757dd977452d15baae91d46a7895cd3d5b7863e (patch)
treee31b5ae33e2ce5d38e223469c21cc65642bbcd85 /gluster-s3object/CentOS/docker-gluster-s3/update_gluster_vol.sh
parent83a8491e2b25b45da06df8fe1f12136d94584ce3 (diff)
parentd9b358382a3dbc6fd2f6c12bffb1c8fcd6c49a2f (diff)
downloadgluster-4757dd977452d15baae91d46a7895cd3d5b7863e.tar.gz
gluster-4757dd977452d15baae91d46a7895cd3d5b7863e.tar.bz2
gluster-4757dd977452d15baae91d46a7895cd3d5b7863e.tar.xz
gluster-4757dd977452d15baae91d46a7895cd3d5b7863e.zip
Merge pull request #48 from SaravanaStorageNetwork/renamed_s3
Rename docker-gluster-swift
Diffstat (limited to 'gluster-s3object/CentOS/docker-gluster-s3/update_gluster_vol.sh')
-rw-r--r--gluster-s3object/CentOS/docker-gluster-s3/update_gluster_vol.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/gluster-s3object/CentOS/docker-gluster-s3/update_gluster_vol.sh b/gluster-s3object/CentOS/docker-gluster-s3/update_gluster_vol.sh
new file mode 100644
index 0000000..dfb891d
--- /dev/null
+++ b/gluster-s3object/CentOS/docker-gluster-s3/update_gluster_vol.sh
@@ -0,0 +1,13 @@
+#!/bin/bash
+
+# To update gluster volume name in swift-volumes, used by swift-gen-builders.service
+if [ -z "$GLUSTER_VOLUMES" ]; then
+ echo "You need to set GLUSTER_VOLUMES env variable"
+ exit 1
+else
+ echo "GLUSTER_VOLUMES env variable is set. Update in swift-volumes"
+ sed -i.bak '/^GLUSTER_VOLUMES=/s/=.*/='\""$GLUSTER_VOLUMES"\"'/' /etc/sysconfig/swift-volumes
+fi
+
+# Hand off to CMD
+exec "$@"